PCRE2_COMPILE_CONTEXT_COPY(3)

NAME
PCRE2 - Perl-compatible regular expressions (revised API)

SYNOPSIS

#include <pcre2.h>

pcre2_compile_context *pcre2_compile_context_copy(
  pcre2_compile_context *ccontext);

DESCRIPTION

This function makes a new copy of a compile context, using the memory allocation function that was used for the original context. The result is NULL if the memory cannot be obtained.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.